# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(HTML/Entities.pm) perl(HTML/Tagset.pm) perl(HTML/TreeBuilder.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/CoreList.pm) perl(Net/FTP.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 1.05
%define module_name HTML-ParagraphSplit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Change text containing HTML into a formatted HTML fragment
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HA/HANENKAMP/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The purpose of this library is to provide methods for converting double line-breaks in text to HTML paragraphs (i.e., wrap in `<P></P>' tags). It can also convert single line breaks into `<BR>' tags. In addition, markup can be mixed in as well and this library will DoTheRightThing(tm). There are a number of additional options that can modify how the paragraph splits are performed.

For example, given this input (the initial text was generated by DadaDodo http://www.jwz.org/dadadodo/dadadodo.cgi, btw):

  I see over the <strong>noise</strong> but I don't understand sometimes.

  <ol><li>One</li><li>Two</li><li>Three</li><ol>

  Fortunately, we've traded the club you can't skimp on the do because This
  week! Presented by code Lounge: except, for controlling Knox video cameras
  Linux well that the reason, the runlevel to run some reason number of coming 
  back next server; sees you Control <a href="blah.html">display</a> a steep 
  and I tagged with specifications of six feet, moving to Code, flyer main room
  motel balcony, <p>and airflow in which define the ability to run a common. We
  need to current in a manner <pre>than six months and that already gotten a
  webcast</pre> is roughly long and bulk: and up the src page: and updates on a:
  user will probably does this.

This would be converted into the following:

  <p>I see over the <strong>noise</strong> but I don't understand sometimes.</p>

  <ol><li>One</li><li>Two</li><li>Three</li><ol>

  <p>Fortunately, we've traded the club you can't skimp on the do because This
  week! Presented by code Lounge: except, for controlling Knox video cameras
  Linux well that the reason, the runlevel to run some reason number of coming 
  back next server; sees you Control <a href="blah.html">display</a> a steep 
  and I tagged with specifications of six feet, moving to Code, flyer main room
  motel balcony,</p>
  <p>and airflow in which define the ability to run a common. We need to
  current in a manner</p>
  <pre>than six months and that already gotten a
  webcast</pre>
  <p>is roughly long and bulk: and up the src page: and updates on a: user will 
  probably does this.</p>

This allows authors to use HTML markup some without having to cope with getting their paragraph tags right.

This library depends upon the HTML::TreeBuilder manpage and the HTML::Tagset manpage. You may wish to see the documentation for those libraries for additional details.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/H*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- initial import by package builder

